# Class T8GIMeshDescriptorDTO

##### Index

### Constructors

constructor

### Properties

bboxMaxX
bboxMaxY
bboxMaxZ
bboxMinX
bboxMinY
bboxMinZ
hashData
index
indexCounts
vertexCounts

### Methods

getHash
getIndexCount
getLocalBboxMaxX
getLocalBboxMaxY
getLocalBboxMaxZ
getLocalBboxMinX
getLocalBboxMinY
getLocalBboxMinZ
getVertexCount
init

## Constructors

### constructor

- new T8GIMeshDescriptorDTO(): T8GIMeshDescriptorDTO

  #### Returns T8GIMeshDescriptorDTO

## Properties

### bboxMaxX

bboxMaxX: Float32Array

### bboxMaxY

bboxMaxY: Float32Array

### bboxMaxZ

bboxMaxZ: Float32Array

### bboxMinX

bboxMinX: Float32Array

### bboxMinY

bboxMinY: Float32Array

### bboxMinZ

bboxMinZ: Float32Array

### hashData

hashData: Uint8Array

### index

index: number

### indexCounts

indexCounts: TypedArray

### vertexCounts

vertexCounts: TypedArray

## Methods

### getHash

- getHash(): Uint8Array

  #### Returns Uint8Array

### getIndexCount

- getIndexCount(): number

  #### Returns number

### getLocalBboxMaxX

- getLocalBboxMaxX(): number

  #### Returns number

### getLocalBboxMaxY

- getLocalBboxMaxY(): number

  #### Returns number

### getLocalBboxMaxZ

- getLocalBboxMaxZ(): number

  #### Returns number

### getLocalBboxMinX

- getLocalBboxMinX(): number

  #### Returns number

### getLocalBboxMinY

- getLocalBboxMinY(): number

  #### Returns number

### getLocalBboxMinZ

- getLocalBboxMinZ(): number

  #### Returns number

### getVertexCount

- getVertexCount(): number

  #### Returns number

### init

- init(
  hashData: Uint8Array,
  bboxMinX: Float32Array,
  bboxMinY: Float32Array,
  bboxMinZ: Float32Array,
  bboxMaxX: Float32Array,
  bboxMaxY: Float32Array,
  bboxMaxZ: Float32Array,
  vertexCounts: TypedArray,
  indexCounts: TypedArray,
  ): this

  #### Parameters

  - hashData: Uint8Array
  - bboxMinX: Float32Array
  - bboxMinY: Float32Array
  - bboxMinZ: Float32Array
  - bboxMaxX: Float32Array
  - bboxMaxY: Float32Array
  - bboxMaxZ: Float32Array
  - vertexCounts: TypedArray
  - indexCounts: TypedArray

  #### Returns this